#################################################
#
#  (C) 2012 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include( ConfigureChecks.cmake )

add_subdirectory( ksvnd )
add_subdirectory( svnhelper )
add_subdirectory( icons )

include_directories(
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${APR_INCLUDE_DIRS}
  ${SVN_INCLUDE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${APR_LIBRARY_DIRS}
  ${SVN_LIBRARY_DIR}
)


##### other data ################################

install( FILES
    svn+http.protocol svn+https.protocol svn+file.protocol
    svn+ssh.protocol svn.protocol
  DESTINATION ${SERVICES_INSTALL_DIR} )


##### tdeio_svn (module) ##########################

tde_add_kpart( tdeio_svn
  SOURCES svn.cpp
  LINK tdeio-shared ${APR_LIBRARIES} ${SVN_LIBRARIES}
  DESTINATION ${PLUGIN_INSTALL_DIR}
)
